org.apache.ignite.internal.processors.cache

## Class CacheDiagnosticManager

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheSharedManagerAdapter
  - - org.apache.ignite.internal.processors.cache.CacheDiagnosticManager

All Implemented Interfaces:
  GridCacheSharedManager

    public class CacheDiagnosticManager
    extends GridCacheSharedManagerAdapter

Component for manage all cache diagnostic functionality.

### Field Summary

Fields
`static String` `MBEAN_GROUP` Diagnostic mxbeans group name.

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheSharedManagerAdapter

`cctx, diagnosticLog, log`

### Constructor Summary

Constructors
Constructor and Description
`CacheDiagnosticManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PageLockTrackerManager` `pageLockTracker()` Getter.
`protected <T> void` `registerMetricsMBean(IgniteConfiguration cfg, String groupName, String mbeanName, T impl, Class<T> clazz)`
`protected void` `start0()`
`protected void` `stop0(boolean cancel)`
`protected void` `unregisterMetricsMBean(IgniteConfiguration cfg, String groupName, String name)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheSharedManagerAdapter

`context, isStopping, kernalStartInfo, kernalStopInfo, onDisconnected, onKernalStart, onKernalStart0, onKernalStop, onKernalStop0, onReconnected, printMemoryStats, start, startInfo, stop, stopInfo, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### MBEAN_GROUP

    public static final String MBEAN_GROUP

Diagnostic mxbeans group name.

See Also:
  Constant Field Values

### Constructor Detail

#### CacheDiagnosticManager

    public CacheDiagnosticManager()

### Method Detail

#### start0

    protected void start0()
                   throws IgniteCheckedException

Overrides:
  `start0` in class `GridCacheSharedManagerAdapter`
Throws:
  `IgniteCheckedException` - If failed.

#### stop0

    protected void stop0(boolean cancel)

Overrides:
  `stop0` in class `GridCacheSharedManagerAdapter`
Parameters:
  `cancel` - Cancel flag.

#### pageLockTracker

    public PageLockTrackerManager pageLockTracker()

Getter.

Returns:
  Page lock tracker manager.

#### registerMetricsMBean

    protected <T> void registerMetricsMBean(IgniteConfiguration cfg,
                                            String groupName,
                                            String mbeanName,
                                            T impl,
                                            Class<T> clazz)

Parameters:
  `cfg` - Ignite configuration.
  `groupName` - Name of group.
  `mbeanName` - Metrics MBean name.
  `impl` - Metrics implementation.
  `clazz` - Metrics class type.

#### unregisterMetricsMBean

    protected void unregisterMetricsMBean(IgniteConfiguration cfg,
                                          String groupName,
                                          String name)

Parameters:
  `cfg` - Ignite configuration.
  `groupName` - Name of group.
  `name` - Name of MBean.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023